## libarchive-qt-2.0.8.tar.bz2

=== meson_options.txt ===
option(
    'use_qt_version',
    type: 'combo',
    choices: ['qt5', 'qt6'],
    value: 'qt5',
    description: 'Select the Qt version to use'
)

option(
    'install_static',
    type: 'boolean',
    value: true,
    description: 'Install the static library'
)

=== debian/changelog ===
libarchiveqt (2.0.8) unstable; urgency=medium
  * Remove Qt4 support
  * Remove Qt5/Qt6 deprecation warnings
  * Bump version number

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Thu, 04 Mar 2023 10:00:00 +0530

libarchiveqt (2.0.7) unstable; urgency=medium
  * Fix meson-related bugs
  * Bump version number

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Sun, 06 Mar 2022 02:45:00 +0530

libarchiveqt (2.0.6) unstable; urgency=medium
  * Install .pc files
  * Bump version number

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Mon, 16 Aug 2021 12:00:00 +0530

libarchiveqt (2.0.5) unstable; urgency=medium
  * Fix .gitlab-ci.yml
  * Bump version number

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Sun, 15 Aug 2021 12:00:00 +0530

libarchiveqt (2.0.4) unstable; urgency=medium
  * Added static member LibArchiveQt::suffix(...)
  * Other minor improvements

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Wed, 07 Jan 2021 12:00:00 +0530

libarchiveqt (2.0.0) unstable; urgency=medium
  * Support for adding paths relative to some path
  * Progress support for compressing and extracting archives
  * Check inputList for non-existent files

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Wed, 07 Jan 2021 12:00:00 +0530

libarchiveqt (1.1.1) unstable; urgency=medium
  * Single member extraction bug fix
  * List archive bug fix

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Wed, 07 Jan 2021 12:00:00 +0530

libarchiveqt (1.1.0) unstable; urgency=medium
  * Single member extraction
  * Some bug fixes

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Wed, 07 Jan 2021 12:00:00 +0530

libarchiveqt (1.0.0) unstable; urgency=medium
  * Initial release

 -- Marcus Britanicus <marcusbritanicus@gmail.com>  Wed, 07 Jan 2021 12:00:00 +0530

=== PKGBUILD ===
#Maintainer: Marcus Britanicus

pkgname=libarchive-qt
pkgver=v1.0.2
pkgrel=1
pkgdesc="A Qt based archiving solution with libarchive backend."
arch=('x86_64')
url="https://gitlab.com/marcusbritanicus/libarchive-qt"
license=('LGPL-3.0')
depends=('libarchive' 'qt5-base' 'zlib' 'bzip2' 'xz')
makedepends=('git')
provides=('libarchive-qt')
conflicts=('libarchive-qt')
source=("https://gitlab.com/marcusbritanicus/libarchive-qt/-/archive/$pkgver/libarchive-qt-$pkgver.tar.gz")
md5sums=('SKIP')

prepare() {
  mkdir -p build
}

build() {
  cd ${pkgname}-${pkgver}

  qmake-qt5
  make
}

package() {
  cd ${pkgname}-${pkgver}
  make INSTALL_ROOT=${pkgdir} install
}

=== debian/control ===
Source: libarchiveqt
Section: utils
Priority: optional
Maintainer: Marcus Britanicus <marcusbritanicus@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://desq-project.org/libarchiveqt/
Vcs-Browser: https://gitlab.com/marcusbritanicus/libarchive-qt
Vcs-Git: https://gitlab.com/marcusbritanicus/libarchive-qt.git
Rules-Requires-Root: no

Package: libarchiveqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libarchiveqt (= ${binary:Version}), ${misc:Depends}
Description: A Qt based archiving solution with libarchive backend
 This is a simple archiving library for Qt.
 Currently it supports the following archive/compression formats
  * Gzip
  * BZip2
  * LZMA2
  * LZip
  * LZ4
  * Cpio
  * AR
  * ISO9660
  * PAX
  * Shar
  * Zip
  * 7Zip
  * Tar
 .
 This package provides the files necessary for development with libarchive-qt.

Package: libarchiveqt
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lzop, lrzip
Description: A Qt based archiving solution with libarchive backend
 This is a simple archiving library for Qt.
 Currently it supports the following archive/compression formats
  * Gzip
  * BZip2
  * LZMA2
  * LZip
  * LZ4
  * Cpio
  * AR
  * ISO9660
  * PAX
  * Shar
  * Zip
  * 7Zip
  * Tar
 .
 This package provides the libarchive-qt shared library.

Package: archiver
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lzop, lrzip
Section: utils
Description: A Qt based archiving solution with libarchive backend
 This is a simple archiving library for Qt.
 Currently it supports the following archive/compression formats
  * Gzip
  * BZip2
  * LZMA2
  * LZip
  * LZ4
  * Cpio
  * AR
  * ISO9660
  * PAX
  * Shar
  * Zip
  * 7Zip
  * Tar
 .
 This package provides the standalone archiver binary.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
override_dh_auto_configure:
	dh_auto_configure --buildsystem=meson

# This is a very ugly hack to escape crashing due to dh_dwz
override_dh_dwz:
	dwz -v >/dev/null 2>&1
